Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.demo
Class DefaultCommentWindow.Mover

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.netbeans.jemmy.demo.DefaultCommentWindow.Mover

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  DefaultCommentWindow

public class DefaultCommentWindow.Mover
extends java.lang.Thread

Perform a mouse action at the end of test step. If demo is executed in continual mode (i.e. "All Steps" button has been pushed), performs "Next" button pushing. Otherwise simply moves mouse to the "Next" button.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`DefaultCommentWindow.Mover(javax.swing.JButton button)` Creates a Mover object.

Method Summary
`void` | `enter()` Moves mouse pointer to the button.
`void` | `push()` Pushes the button.
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultCommentWindow.Mover

    public DefaultCommentWindow.Mover(javax.swing.JButton button)

  Creates a Mover object.
  Parameters:
    `button` - a Button

Method Detail

### push

    public void push()

  Pushes the button.

### enter

    public void enter()

  Moves mouse pointer to the button.

### run

    public void run()

  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD